 /*
 * file      : conv.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 - 2012 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 * 
 * This file is part of BASEBUILD.
 * 
 * BASEBUILD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * BASEBUILD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with BASEBUILD.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef conv_h
#define conv_h 1

#include <sys/types.h>
#include <signal.h>


#define	MAX_ARG_CONV 10

typedef struct {

	pid_t		code_fork;			// Num Code Fork	
	int		signal_numchildren;		// The signal handler
	int		tube [ 2 ];			// For pipe
	gchar		*ArgConv [ MAX_ARG_CONV + 20 ];	// Tab

} CONV;

void	conv_with_args( gchar *p_text, ... );

#endif


