/* 
 * translate.c
 * 
 * Traduction des chaines du fichier *.glade
 * Translate string of *.glade file
 * 
 */

#ifdef HAVE_CONFIG_H
	#include "../config.h"
#endif

#ifdef ENABLE_NLS
	#include <libintl.h>
	#define _(String) gettext (String)
#endif

#include <gtk/gtk.h>

#ifdef ENABLE_STATIC_LIBRARY
	#include "../lib_basebuild/libbasebuild.h"
#endif

void translate_glade (void)
{
	typedef struct {
		gchar	*string;
	} TRANS;

TRANS trans[] = {

	{ _("_Fichier") },
	{ _("Aid_e") },
	{ _("<b>G</b>raphical <b>U</b>ser <b>I</b>nterface") },
	{ _("Command Line") },
	{ _("<b>Type du projet</b>") },
	{ _(" Type ") },
	{ _("Chemin") },
	{ _("Nom du projet ") },
	{ _("Auteur") },
	{ _("button") },
	{ _(" version ") },
	{ _("<b>Nom du projet</b>") },
	{ _(" Nom ") },
	{ _("Dossier Internationnalisation") },
	{ _(" Ctrl + Click   = All select\n Shift + Click = All deselect ") },
	{ _("Dossier Manpage (fr)") },
	{ _(" Ctrl + Click   = All select\n Shift + Click = All deselect ") },
	{ _("Dossier Librairie statique") },
	{ _(" Ctrl + Click   = All select\n Shift + Click = All deselect ") },
	{ _("Dossier pixmaps") },
	{ _(" Ctrl + Click   = All select\n Shift + Click = All deselect ") },
	{ _("Dossier menu") },
	{ _(" Ctrl + Click   = All select\n Shift + Click = All deselect ") },
	{ _("Dossier mime") },
	{ _(" Ctrl + Click   = All select\n Shift + Click = All deselect ") },
	{ _("<b>en, en_GB, fr, de, it</b>") },
	{ _("<b>Definition des dossiers du projet</b>") },
	{ _(" Dossiers ") },
	{ _("<b>Definition des dossiers sources</b>") },
	{ _(" Src ") },
	{ _("Gtk") },
	{ _("label") },
	{ _("Glib") },
	{ _("<b>Choix des librairies + fichier glade</b>") },
	{ _(" Librairies ") },
	{ _("<b>Processus de generation du projet</b>") },
	{ _("Generation du projet") },
	{ _(" VTE ") },
	{ _("dossier") },
	{ _(" Traduction ") },
	{ _(" Prototypes ") },
	{ _("Glade") },
	{ _("A propos de BaseBuild") },
	{ _("\nCreation d'une base de programmation en\nlangage C de type GNU avec les autotools.") }

	};
	
	if (*trans [ 0 ] . string);
}

